diff a/test/hotspot/jtreg/runtime/cds/DeterministicDump.java b/test/hotspot/jtreg/runtime/cds/DeterministicDump.java
--- a/test/hotspot/jtreg/runtime/cds/DeterministicDump.java
+++ b/test/hotspot/jtreg/runtime/cds/DeterministicDump.java
@@ -72,10 +72,12 @@
 
         if (Platform.is64bit()) {
             // This option is available only on 64-bit.
             String sign = (compressed) ?  "+" : "-";
             baseArgs.add("-XX:" + sign + "UseCompressedOops");
+            baseArgs.add("-XX:+UnlockExperimentalVMOptions");
+            baseArgs.add("-XX:-UseCompactObjectHeaders");
         }
 
         String baseArchive = dump(baseArgs);
         File baseArchiveFile = new File(baseArchive + ".jsa");
         HEADER_SIZE = CDSArchiveUtils.fileHeaderSize(baseArchiveFile);
